Package org.apache.sysds.runtime.matrix.operators

# Class AggregateOperator

java.lang.Object
org.apache.sysds.runtime.matrix.operators.Operator
org.apache.sysds.runtime.matrix.operators.AggregateOperator

All Implemented Interfaces:
  `Serializable`

public class AggregateOperator extends Operator

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`final Types.CorrectionLocationType`
`correction`
`final BinaryOperator`
`increOp`
`final double`
`initialValue`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

## Constructor Summary

Constructors
Constructor
Description
`AggregateOperator(double initValue, ValueFunction op)`
`AggregateOperator(double initValue, ValueFunction op, Types.CorrectionLocationType correctionLocation)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`existsCorrection()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### initialValue

public final double initialValue

### increOp

public final BinaryOperator increOp

### correction

public final Types.CorrectionLocationType correction

## Constructor Details

### AggregateOperator

public AggregateOperator(double initValue, ValueFunction op)

### AggregateOperator

public AggregateOperator(double initValue, ValueFunction op, Types.CorrectionLocationType correctionLocation)

## Method Details

### existsCorrection

public boolean existsCorrection()

### toString

public String toString()

Overrides:
  `toString` in class `Object`